StackReasoningExercise
Date: 2007-07-15

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tcra.driver
Class StackReasoningExercise

    java.lang.Object
      tcra.driver.StackReasoningExercise

All Implemented Interfaces:
  TCRAExercise

    public class StackReasoningExercise

extends java.lang.Object
implements TCRAExercise

Constructor Summary
`StackReasoningExercise()`

Method Summary
`java.util.List<MethodContract>` | `getContracts()` Returns a list of the MethodContracts this exercise contains.
`java.lang.String` | `getInterfaceName()` Returns the signature of the interface.
`Argument.MathRep` | `getMathRep()` Returns the mathematical representation type of the interface.
`MathTypeParser` | `getParser()` Returns the MathTypeParser this exercise uses to parse "self" from user input.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackReasoningExercise

    public StackReasoningExercise()

Method Detail

### getInterfaceName

    public java.lang.String getInterfaceName()

  Description copied from interface: `TCRAExercise`
  Returns the signature of the interface.

  Specified by:
    `getInterfaceName` in interface `TCRAExercise`
  Returns:
    signature of the interface

### getContracts

    public java.util.List<MethodContract> getContracts()

  Description copied from interface: `TCRAExercise`
  Returns a list of the MethodContracts this exercise contains.

  Specified by:
    `getContracts` in interface `TCRAExercise`
  Returns:
    list of MethodContracts

### getMathRep

    public Argument.MathRep getMathRep()

  Description copied from interface: `TCRAExercise`
  Returns the mathematical representation type of the interface. This will allow the program to determine the type of "self".

  Specified by:
    `getMathRep` in interface `TCRAExercise`
  Returns:
    Enumerated MathRep

### getParser

    public MathTypeParser getParser()

  Description copied from interface: `TCRAExercise`
  Returns the MathTypeParser this exercise uses to parse "self" from user input.

  Specified by:
    `getParser` in interface `TCRAExercise`
  Returns:
    Parser for user input "self"

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD